import { EntityRepository, Repository } from "typeorm";
import { UpdateHomePageCommonBannerCmsDto } from "./dto/update-home-page-common-banner-cms.dto";
import { HomePageCommonBannerCms } from "./entities/home-page-common-banner-cms.entity";

@EntityRepository(HomePageCommonBannerCms)
export class HomePageCommonBannerCmsRepository extends Repository<HomePageCommonBannerCms> {

    async createEntity(dto: UpdateHomePageCommonBannerCmsDto): Promise<HomePageCommonBannerCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subTitle: dto.subTitle,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateHomePageCommonBannerCmsDto, id: string): Promise<HomePageCommonBannerCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subTitle: dto.subTitle,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HomePageCommonBannerCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}