import { EntityRepository, Repository } from "typeorm";
import { UpdateQuizPageCmsDto } from "./dto/update-quiz-page-cms.dto";
import { QuizPageCms } from "./entities/quiz-page-cms.entity";

@EntityRepository(QuizPageCms)
export class QuizPageCmsRepository extends Repository<QuizPageCms> {

    async createEntity(dto: UpdateQuizPageCmsDto): Promise<QuizPageCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subTitle: dto.subTitle
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateQuizPageCmsDto, id: string): Promise<QuizPageCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subTitle: dto.subTitle
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<QuizPageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}