import { EntityRepository, Repository } from "typeorm";
import { UpdateContactPageUiDto } from "./dto/update-contact-page-ui.dto";
import { ContactPageUI } from "./entities/contact-page-ui.entity";

@EntityRepository(ContactPageUI)
export class ContactPageUiRepository extends Repository<ContactPageUI> {

    async createEntity(dto: UpdateContactPageUiDto): Promise<ContactPageUI | Error> {
        try {
            const entity = this.create({
                backgroundColor: dto.backgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateContactPageUiDto, id: string): Promise<ContactPageUI | Error> {
        try {
            await this.update(id, {
                backgroundColor: dto.backgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ContactPageUI[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}