import { Body, Controller, HttpCode, HttpStatus, Post } from "@nestjs/common";
import { Constants } from "src/utils/constants";
import { CustomerService } from "./customer.service";

@Controller({
    path: "customer",
    version: Constants.API_VERSION_1
})
export class CustomerController {
    constructor(private readonly customerService: CustomerService) {
    }

    @Post("/multiple")
    @HttpCode(HttpStatus.OK)
    fetchMultipleCustomer(@Body() variables: any) {
        return this.customerService.fetchMultipleCustomer(variables);
    }

    @Post("/single")
    @HttpCode(HttpStatus.OK)
    fetchSingleCustomer(@Body() variables: any) {
        return this.customerService.fetchSingleCustomer(variables);
    }
}
