import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "../SpacesModule/SpacesService";
import { DoSpacesService } from "../SpacesModule/SpacesService/doSpacesService";
import { PressReleaseController } from "./press-release.controller";
import { PressReleaseRepository } from "./press-release.repository";
import { PressReleaseService } from "./press-release.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([PressReleaseRepository])
    ],
    controllers: [PressReleaseController],
    providers: [PressReleaseService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class PressReleaseModule {
}
